<?php
error_reporting(E_ALL);
ini_set("display_errors", 1);
include 'oauth_client/src/OAuth.php';
include '/phpPoA-2.4/PoA.php';

$poa = new PoA('samples', '/phpPoA-2.4/samples/PoA.conf.php');
$auth = $poa->authenticate();
$attrs = $poa->getAttributes();
echo '<h3><hr>PAPI:<br></h3>';
$filePAPI = dirname(dirname(__FILE__)) . '/oauth2lib/oauth_client/config/clientConfig.xml';
$oauthPAPI = new OAuth($filePAPI);
$oauthPAPI->requestAccessToken($attrs);
if ($oauthPAPI->getError() != null) {
    echo '<hr>El AS ha devuelto el siguiente error: ' . '<p>' . $oauthPAPI->getError() . '</p><hr>';
}
$oauthPAPI->requestResourceRS($oauthPAPI->getRs(), $oauthPAPI->getRequest_type());
$contentPAPI = $oauthPAPI->getResource();
if ($oauthPAPI->getError() != null) {
    echo '<hr><p>' . $oauthPAPI->getError() . '<p><hr>';
}
$tokenPAPI = $oauthPAPI->getOAuth_client()->getAccess_token();

echo '<b>TOKEN:</b>' . $tokenPAPI . '<br>';
echo '<b>RESOURCE:</b> ' . $contentPAPI . '<br>';
?>
